Package org.benf.cfr.reader.api

# Enum Class OutputSinkFactory.SinkType

java.lang.Object
java.lang.Enum<OutputSinkFactory.SinkType>
org.benf.cfr.reader.api.OutputSinkFactory.SinkType

All Implemented Interfaces:
  `Serializable`, `Comparable<OutputSinkFactory.SinkType>`, `Constable`

Enclosing interface:
  `OutputSinkFactory`

public static enum OutputSinkFactory.SinkType extends Enum<OutputSinkFactory.SinkType>
Defines the kind of sink this is.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXCEPTION`
  This sink will receive any exceptions that occur
  `JAVA`
  This sink will receive decompiled class files as java
  `LINENUMBER`
  This sink will receive line number information
  `PROGRESS`
  This sink will receive updates on files being processed.
  `SUMMARY`
  This sink will receive a top level summary

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static OutputSinkFactory.SinkType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static OutputSinkFactory.SinkType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### JAVA

    public static final OutputSinkFactory.SinkType JAVA
    This sink will receive decompiled class files as java

  - ### SUMMARY

    public static final OutputSinkFactory.SinkType SUMMARY
    This sink will receive a top level summary

  - ### PROGRESS

    public static final OutputSinkFactory.SinkType PROGRESS
    This sink will receive updates on files being processed.

  - ### EXCEPTION

    public static final OutputSinkFactory.SinkType EXCEPTION
    This sink will receive any exceptions that occur

  - ### LINENUMBER

    public static final OutputSinkFactory.SinkType LINENUMBER
    This sink will receive line number information

- ## Method Details

  - ### values

    public static OutputSinkFactory.SinkType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static OutputSinkFactory.SinkType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null